---
type: api
title: Update an existing watchlist
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/operation/operation-updatewatchlist
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/operation/operation-updatewatchlist
products:
  - Kibana
---

# Update an existing watchlist

Availability:

- Server: `https://{kibana_url}`

## Paths

- `PUT` `/api/entity_analytics/watchlists/{id}`
- `PUT` `/s/{space_id}/api/entity_analytics/watchlists/{id}`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/authentication#apikeyauth)

#### Path Parameters

- `id` (string · max: 256)
  The ID of the watchlist to update

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Updates the name, description, risk modifier, or managed status of an existing entity analytics watchlist.

## Request Body

`application/json`

- `description` (string · max: 1000) — optional
  Description of the watchlist
- `managed` (boolean) — optional
  Indicates if the watchlist is managed by the system
- `name` (string · max: 256) — required
  Unique name of the watchlist
- `riskModifier` (number · min: 0 · max: 2) — required
  Risk score modifier associated with the watchlist

## Response

Watchlist updated successfully

`application/json`

- `createdAt` (string)
  Timestamp indicating when the watchlist was created
- `description` (string)
  Description of the watchlist
- `entityCount` (number)
  Number of entities in the watchlist
- `entitySourceIds` ([] string)
  List of entity source IDs associated with the watchlist
- `hasManualEntities` (boolean)
  Indicates whether the watchlist contains manually assigned entities
- `id` (string)
  The unique ID of the watchlist
- `managed` (boolean)
  Indicates if the watchlist is managed by the system
- `name` (string)
  The name of the watchlist
- `riskModifier` (number)
  Risk score modifier associated with the watchlist
- `updatedAt` (string)
  Timestamp indicating when the watchlist was last updated
## Code Examples

#### Console

```console
PUT /api/entity_analytics/watchlists/{id}
{
  "description": "High risk vendor watchlist",
  "managed": false,
  "name": "High Risk Vendors",
  "riskModifier": 1.5
}
```

#### curl

```curl
curl -X PUT "https://{kibana_url}/api/entity_analytics/watchlists/{id}" \
  -H "Content-Type: application/json" \
  -d '{
  "description": "High risk vendor watchlist",
  "managed": false,
  "name": "High Risk Vendors",
  "riskModifier": 1.5
}'
```

## Response Examples

#### Updated watchlist

```json
{
  "createdAt": "2026-01-28T12:00:00.000Z",
  "description": "High risk vendor watchlist",
  "id": "watchlist-123",
  "managed": false,
  "name": "High Risk Vendors",
  "riskModifier": 1.5,
  "updatedAt": "2026-02-18T12:00:00.000Z"
}
```

